Skip to main content
GET
/
template
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/template?skip=0&take=300' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
[
  {
    "id": "<string>",
    "snapshot": {
      "baseId": "<string>",
      "snapshotTime": "2023-11-07T05:31:56Z",
      "spaceId": "<string>",
      "name": "<string>"
    },
    "cover": {
      "token": "xxxxxxxxxxx",
      "size": 1024,
      "url": "/bucket/xxxxx",
      "path": "/table/xxxxxx",
      "mimetype": "video/mp4",
      "name": "<string>",
      "id": "<string>",
      "presignedUrl": "<string>",
      "width": 100,
      "height": 100,
      "thumbnailPath": {
        "lg": "<string>",
        "sm": "<string>"
      }
    },
    "usageCount": 123,
    "visitCount": 123,
    "createdBy": {
      "id": "<string>",
      "name": "<string>",
      "avatar": "<string>",
      "email": "<string>"
    },
    "name": "<string>",
    "categoryId": [
      "<string>"
    ],
    "isSystem": true,
    "featured": true,
    "isPublished": true,
    "description": "<string>",
    "baseId": "<string>",
    "markdownDescription": "<string>",
    "publishInfo": {
      "nodes": [
        "<string>"
      ],
      "includeData": true,
      "defaultActiveNodeId": "<string>",
      "defaultUrl": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
number | null
default:0

The templates count you want to skip

Example:

0

take
number | null
default:300

The templates count you want to take

Example:

300

Response

201 - application/json

Successfully get template list.

id
string
required
snapshot
object
required
cover
object
required
usageCount
number
required
visitCount
number
required
createdBy
object
required
name
string
categoryId
string[]
isSystem
boolean
isPublished
boolean
description
string
baseId
string
markdownDescription
string
publishInfo
object
Last modified on March 5, 2026